package com.supervision;

import cn.hutool.json.JSONUtil;
import com.supervision.dto.dify.ChatResDTO;
import com.supervision.dto.paddlespeech.res.TtsResultDTO;
import com.supervision.model.dify.DIFYChatReqInputVO;
import com.supervision.model.dify.DifyChatReqVO;
import com.supervision.util.AsrUtil;
import com.supervision.util.DifyApiUtil;
import com.supervision.util.TtsUtil;
import jakarta.annotation.Resource;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.boot.test.context.SpringBootTest;

@SpringBootTest
class SpeechDemoServiceApplicationTests {

    @Test
    void contextLoads() {
    }


    @Test
    void testTtsTransform() {
        TtsResultDTO ttsResultDTO = TtsUtil.ttsTransform("你好，我是小爱同学我是小爱同学我是小爱同学我是小爱同学我是小爱同学我是小爱同学我是小爱同学我是小爱同学我是小爱同学我是小爱同学我是小爱同学我是小爱同学我是小爱同学");
        System.out.println(JSONUtil.toJsonStr(ttsResultDTO));
        // https://www.toolfk.com/zh-cn/tools/base64-to-audio.html base64转音频

    }

    @Value("${paddle-speech.text:xx}")
    private String voiceBase64;
    @Test
    void testAsrTransform2() {

        String text = AsrUtil.asrTransformByBytes(voiceBase64);
        System.out.println(text);

    }


    @Resource
    private DifyApiUtil difyApiUtil;
    @Test
    public void chatTest() {
        DifyChatReqVO difyChatReqVO = new DifyChatReqVO();
        difyChatReqVO.setUser("admin");
        DIFYChatReqInputVO inputs = new DIFYChatReqInputVO();
        difyChatReqVO.setQuery("我叫什么？");
        difyChatReqVO.setInputs(inputs);

        System.out.println(JSONUtil.toJsonStr(difyChatReqVO));
        ChatResDTO chat = difyApiUtil.chat(difyChatReqVO);
        System.out.println(JSONUtil.toJsonStr(chat));
    }
}
